import request from '@/utils/request'
export function getProjectList(data) {
  return request({
    url: `/sys/project/page`,
    method: 'get',
    params:data
  })
}

export function getEntList(data) {
  return request({
    url: `/sys/company/page`,
    method: 'get',
    params:data
  })
}

export function addProject(data) {
  return request({
    url: `/sys/project`,
    method: 'post',
    data:data
  })
}

export function editProject(data) {
  return request({
    url: `/sys/project`,
    method: 'PUT',
    data:data
  })
}

export function cloud(data) {
  return request({
    url: `/sys/project/cloud/`+data,
    method: 'get',
  })
}

export function cloudpage(data) {
  return request({
    url: `/sys/cloud/page`,
    method: 'get',
    params:data
  })
}

export function cloudconfig(data) {
  return request({
    url: `/sys/project/cloud`,
    method: 'PUT',
    data
  })
}

export function disable(data) {
  return request({
    url: `/sys/project/disable/`+data.id,
    method: 'PUT',
    data
  })
}

export function enable(data) {
  return request({
    url: `/sys/project/enable/`+data.id,
    method: 'PUT',
    data
  })
}
